MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIGeomBBox< T > Class Template Reference

`#include <lti_geometry.h>`

## Public Member Functions
| LTIGeomBBox (T minX=0, T minY=0, T maxX=0, T maxY=0)
| LTIGeomBBox (const LTIGeomBBox< T > &copy)
LTIGeomBBox< T > & | operator= (const LTIGeomBBox< T > &copy)
T | getWidth () const
T | getHeight () const
bool | isEmpty () const
LTIGeomPoint< T > | getCenter () const
LTIGeomBBox< T > & | operator&= (const LTIGeomBBox< T > &other)
LTIGeomBBox< T > & | operator|= (const LTIGeomBBox< T > &other)
bool | overlap (const LTIGeomBBox< T > &other) const
bool | containsPoint (const LTIGeomPoint< T > &pt) const
bool | operator== (const LTIGeomBBox< T > &other) const
bool | operator!= (const LTIGeomBBox< T > &other) const

## Public Attributes
T | xMin
T | yMin
T | xMax
T | yMax

## Detailed Description

### template<class T>
class LTIGeomBBox< T >

Definition at line 454 of file lti_geometry.h.

## Constructor & Destructor Documentation

template<class T >

LTIGeomBBox< T >::LTIGeomBBox | ( | T | minX = `0`,
|  | T | minY = `0`,
|  | T | maxX = `0`,
|  | T | maxY = `0`
| ) |  |
| inline

Definition at line 457 of file lti_geometry.h.

template<class T >

LTIGeomBBox< T >::LTIGeomBBox | ( | const LTIGeomBBox< T > & | copy) |  |
| inline

Definition at line 464 of file lti_geometry.h.

## Member Function Documentation

template<class T >

bool LTIGeomBBox< T >::containsPoint | ( | const LTIGeomPoint< T > & | pt) |  | const
| inline

Definition at line 517 of file lti_geometry.h.

template<class T >

LTIGeomPoint<T> LTIGeomBBox< T >::getCenter | ( | ) |  | const
| inline

Definition at line 483 of file lti_geometry.h.

template<class T >

T LTIGeomBBox< T >::getHeight | ( | ) |  | const
| inline

Definition at line 481 of file lti_geometry.h.

template<class T >

T LTIGeomBBox< T >::getWidth | ( | ) |  | const
| inline

Definition at line 480 of file lti_geometry.h.

template<class T >

bool LTIGeomBBox< T >::isEmpty | ( | ) |  | const
| inline

Definition at line 482 of file lti_geometry.h.

template<class T >

bool LTIGeomBBox< T >::operator!= | ( | const LTIGeomBBox< T > & | other) |  | const
| inline

Definition at line 531 of file lti_geometry.h.

template<class T >

LTIGeomBBox<T>& LTIGeomBBox< T >::operator&= | ( | const LTIGeomBBox< T > & | other) |  |
| inline

Definition at line 489 of file lti_geometry.h.

template<class T >

LTIGeomBBox<T>& LTIGeomBBox< T >::operator= | ( | const LTIGeomBBox< T > & | copy) |  |
| inline

Definition at line 471 of file lti_geometry.h.

template<class T >

bool LTIGeomBBox< T >::operator== | ( | const LTIGeomBBox< T > & | other) |  | const
| inline

Definition at line 524 of file lti_geometry.h.

template<class T >

LTIGeomBBox<T>& LTIGeomBBox< T >::operator|= | ( | const LTIGeomBBox< T > & | other) |  |
| inline

Definition at line 499 of file lti_geometry.h.

template<class T >

bool LTIGeomBBox< T >::overlap | ( | const LTIGeomBBox< T > & | other) |  | const
| inline

Definition at line 508 of file lti_geometry.h.

## Member Data Documentation

template<class T >

T LTIGeomBBox< T >::xMax

Definition at line 539 of file lti_geometry.h.

template<class T >

T LTIGeomBBox< T >::xMin

Definition at line 537 of file lti_geometry.h.

template<class T >

T LTIGeomBBox< T >::yMax

Definition at line 540 of file lti_geometry.h.

template<class T >

T LTIGeomBBox< T >::yMin

Definition at line 538 of file lti_geometry.h.

The documentation for this class was generated from the following file:

- lti_geometry.h

LizardTech